Bug 62351

Summary: AX: aria-labelledby should be used in preference to aria-labeledby
Product: WebKit Reporter: Alice Boxhall <aboxhall>
Component: AccessibilityAssignee: Samuel White <samuel_white>
Status: RESOLVED FIXED    
Severity: Normal CC: apinheiro, cfleizach, commit-queue, dmazzoni, jcraig, jdiggs, mario, samuel_white, webkit-bug-importer, webkit.review.bot
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 66745    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
cfleizach: review-
Patch. none

Comment 1 Alice Boxhall 2011-06-08 21:21:50 PDT
Created attachment 96542 [details]
Patch
Comment 2 Alice Boxhall 2011-06-08 21:26:23 PDT
There may be some opposition to the method name change, but I was finding it confusing to type when the standard is aria-labelledby.
Comment 3 chris fleizach 2011-08-18 12:50:36 PDT
Comment on attachment 96542 [details]
Patch

Sorry this took so long to review. r=me
Comment 4 Alice Boxhall 2011-08-21 23:03:04 PDT
Created attachment 104644 [details]
Patch
Comment 5 Alice Boxhall 2011-08-21 23:04:11 PDT
Comment on attachment 104644 [details]
Patch

Rebased patch.
Comment 6 chris fleizach 2011-08-21 23:17:32 PDT
Comment on attachment 104644 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=104644&action=review

> Source/WebCore/accessibility/AccessibilityRenderObject.cpp:1307
> +

the last patch did not change this logic. this patch looks like it's now changing what's returned in title
Comment 7 Alice Boxhall 2011-08-21 23:31:22 PDT
Created attachment 104647 [details]
Patch
Comment 8 Alice Boxhall 2011-08-21 23:37:35 PDT
Comment on attachment 104647 [details]
Patch

Thanks for the quick review; not sure how that extra logic got in the last patch.
Comment 9 WebKit Review Bot 2011-08-22 17:24:43 PDT
Comment on attachment 104647 [details]
Patch

Clearing flags on attachment: 104647

Committed r93565: <http://trac.webkit.org/changeset/93565>
Comment 10 WebKit Review Bot 2011-08-22 17:24:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Alice Boxhall 2011-08-22 22:58:47 PDT
Reopening after rollout.
Comment 12 Alice Boxhall 2011-08-23 00:20:30 PDT
Created attachment 104795 [details]
Patch
Comment 13 Alice Boxhall 2011-08-23 00:22:10 PDT
Fixed the bug that caused a bunch of test breakages, and updated the test to work with the changes in bug 61995.
Comment 14 Alice Boxhall 2011-09-05 17:14:43 PDT
Comment on attachment 104795 [details]
Patch

Is this ok?
Comment 15 chris fleizach 2011-09-05 18:18:37 PDT
(In reply to comment #14)
> (From update of attachment 104795 [details])
> Is this ok?

is the windows build failure due to something else?
Comment 16 Alice Boxhall 2011-09-05 18:29:27 PDT
Created attachment 106373 [details]
Patch
Comment 17 Alice Boxhall 2011-09-05 18:31:03 PDT
(In reply to comment #15)
> (In reply to comment #14)
> > (From update of attachment 104795 [details] [details])
> > Is this ok?
> 
> is the windows build failure due to something else?

Not sure; just uploaded a rebaselined patch; if that fails on Windows I'll check it out.
Comment 18 chris fleizach 2011-09-05 23:14:08 PDT
Comment on attachment 106373 [details]
Patch

win build failure

5>..\AccessibleImage.cpp(49) : error C2039: 'ariaLabeledByAttribute' : is not a member of 'WebCore::AccessibilityRenderObject'
5>        C:\cygwin\home\buildbot\WebKitBuild\Debug\Include\WebCore/AccessibilityRenderObject.h(58) : see declaration of 'WebCore::AccessibilityRenderObject'
Comment 19 Alice Boxhall 2011-11-02 20:50:38 PDT
Created attachment 113427 [details]
Patch
Comment 20 Alice Boxhall 2011-11-02 20:51:31 PDT
Re-submitting patch as it builds for me on Windows now.
Comment 21 Alice Boxhall 2011-11-02 21:54:35 PDT
Created attachment 113430 [details]
Patch
Comment 22 Alice Boxhall 2011-11-02 21:55:12 PDT
Trying that again without my local hacks... still getting used to Windows.
Comment 23 Alice Boxhall 2011-11-02 22:24:17 PDT
Ok, still not building on EWS. Will look into why.
Comment 24 chris fleizach 2011-11-16 08:11:06 PST
Comment on attachment 113430 [details]
Patch

r- until it builds on windows
Comment 25 James Craig 2013-11-18 15:46:27 PST
<rdar://problem/15497230>
Comment 26 Samuel White 2013-11-18 16:32:58 PST
Created attachment 217249 [details]
Patch.
Comment 27 WebKit Commit Bot 2013-11-18 22:07:56 PST
Comment on attachment 217249 [details]
Patch.

Clearing flags on attachment: 217249

Committed r159482: <http://trac.webkit.org/changeset/159482>
Comment 28 WebKit Commit Bot 2013-11-18 22:08:00 PST
All reviewed patches have been landed.  Closing bug.